const S3 = require('aws-sdk/clients/s3.js');

export function createClient({
  endpoint,
  accessKeyId,
  secretAccessKey,
  maxRetries = 3,
  signatureVersion = 'v4',
  region = 'auto',
}) {
  return new S3({ endpoint, accessKeyId, secretAccessKey, maxRetries, signatureVersion, region });
}

export async function upload({
  client,
  Bucket,
  Key,
  Body,
  ...rest
}) {
  return await client.upload({ Bucket, Key, Body, ...rest }).promise();
}

export default {
  createClient,
  upload,
};